Date Module 7.x
=================

======================
Version 7.x-2.8
======================
- Issue #106713 by vijaycs85, heddn: Date Field title XSS(SA)
- Issue #2310123 by Temoor: Fixed Fatal error in Migrate UI by Date Migrate Example.
- Issue #2142277 by Temoor | lliss: Fixed Infinite Loop When Using Repeating Dates.
- Issue #1871136 by Temoor | funkimunky: Fixed Cannot remove migrate example content type.
- Issue #2261395 by minorOffense | kristofferwiklund: Fixed date_now is not respecting changes to timezone.
- Issue #1832400 by imot3k, balintk: Fixed "The year/month/... is missing" error message is not translatable.
- Issue #998076 by coredumperror, joelcollinsdc, brenk28: Fixed Problem with timezone handling (caused by date_get_timezone_db returning only UTC).
- Issue #1976014 by Harmageddon: Remove unnecessary &nbsp; in date views pager.
- Issue #2198807 by stickywes: Refactor field tests to utilize DateFieldBasic.
- Issue #2146461 by vijaycs85 | Razia_b: Fixed Translated field's label is not used in its validation messages.
- Issue #1874422 by bluetegu, brockfanning, rv0: Fixed Week pager may cause incorrect "next" link on year change.
- Issue #2167015 by schifazl: HTML output breaks validation and accessibility.
- Issue #2200513 by scor: Fix encoding issues in CHANGELOG.txt.
- Issue #2115377 by coredumperror: Notice: Undefined index: add_microdata in theme_date_display_single().
- Issue #2178299 by sandykadam | joachim: Incorrect variable name in hook_views_data_alter().
- Issue #1431952 by Cadila | Shawn DeArmond: Date field will only set in Rules if it already has a value.
- Issue #355058 by Grimreaper | prunelle: Hardcoded day/month/week output format for theme_date_nav_title().
- Issue #1968828 by pjcdawkins: Replace field_info_fields() with field_info_field_map() for Drupal >= 7.22.
- Issue #2167033 by podarok, vijaycs85: Fixing tests in 2014 .

======================
Version 7.x-2.7
======================
- Issue #1691342 by Cyberwolf: Field description is displayed multiple times.
- Issue #1668240 by ianthomas_uk: /themes/jquery.timeentry.css is not aggregated with other CSS files.
- Issue #1974056 by pjcdawkins: Add a CSS class to the date repeat rule.
- Issue #2065749 by vijaycs85, blackdog: $class in theme_date_repeat_rrule is not used.
- Issue #1840008 by cr0ss, Alan D.: Unlock "Date attributes" (granularity) field setting.
- Issue #1580032 by jmuzz | 30equals: Date values are not being saved when field is used in a nested field collection.
- Issue #2071629 by blackdog: #after_build wrongly added, overwrites other modules.
- Issue #1869962 by kaidjohnson: Date Context breaks context edit form.
- Issue #1571258 by David_Rothstein | ddalvi: Date and time form elements do not have accessible labels when the label position is set to 'Within' or 'None'.
- Issue #2130575 by kostajh: Unset() should be used with more caution in views_filter_handler_simple().inc.
- Issue #1826598 by eromba, jyee: 'c' and 'r' formatter causes date to be printed twice in views.
- Issue #1933472 by minorOffense: Added Optimize date_now() function.
- Issue #1248786 by kenneth.venken | dboulet: Fixed appearance of marker for required date fields.
- Issue #1810734 by ParisLiakos: Fixed Repeat checkboxes working reversed with updated jQuery.
- Issue #1844092 by dboulet, kardave, Spleshka: Fixed Untranslated strings: month, day, ...
- Issue #1202248 by james.williams, dawehner, mikehues | DamienMcKenna: Fixed Exported view doesn't include 'default_argument_options()' attribute.
- Issue #1409120 by anrikun, akamustang | marsbidon: Added Date format in views exposed filter does not respect configured format.
- Issue #1858112 by tomdearden: Fixed DateObject->difference not calculating correctly for future dates > 1 year away.
- Issue #1659466 by artkon: Fixed Date filter does not remember value in views if the identifier is something other than date_filter().
- Issue #1905096 by gielfeldt: Fixed Wrong usage of database API.
- Issue #1791804 by 5n00py: Errors on form validation if date field placed in sub-form.
- Issue #636208 Date range: Expose a single filter to select events that start before the chosen date and end after the chosen date by anrikun.
- Issue #2024269 Date popup documentation fix by RoySegall.
- Issue #1835184 by Steven Jones, das-peter, jwhat: Fixed date_limit_format() can have poor performance.
- Issue #991830 by milesw | restyler: Fixed validation errors when date_popup() date is localized.
- Issue #2098715 by jhodgdon: Fixed Date field not obeying widget alters for #required.
- Issue #1266688 by linclark, rbayliss, fago, colette: Support microdata in date fields.
- Issue #1863610 by maximpodorov: Fixed Invalid date formatting.
- META #2034231 #1832544 Class registration for Migrate 2.5 or later - mikeryan, [#1835214] Automated tests failing - Exception thrown in Date2 migration - PatchRanger, [#
- Issue #1350604 by Alan D., johaziel: Added Diff support for Date fields.
- Issue #2086313 by dooug: Fixed Wrong path in date_popup() README.txt
- Issue #1455558 by BTMash | mediameriquat: Fixed Missing file in date_views().info causes error 500.
- Issue #1697322 by Alan D., ianmthomasuk | pandikamal: Fixed Call to a member function getName() on a non-object in date api.
- Code cleanup, remove #prev values that were never used in repeat functionality.
- Small fix needed to ensure cardinality gets set correctly if repeat option is changed in the UI.

======================
Version 7.x-2.6
======================

- Issue #1423364 by catmat, Add file and path to hook_context_plugins().
- Issue #1713248, Remove incorrect use of date_popup() function in previous commit.
- Issue #1143680 by kristiaanvandeneynde, Make Date Popup widget able to accept custom settings.
- Issue #1596546 by applicity_sam, Make sure incorrect month name creates validation error.
- Issue #1432702, Fix some miscellaneous problems with date example dates and formats.
- Issue #1512464 by Liam Moreland, Allow for undefined formatter in Date upgrade handling.
- Issue #1659638 by bojanz, Hide install message if Drupal is not installed (i.e. in install profiles).
- Issue #1605158 by covenantd, Be sure value2 is initiated in Date Context handler.
- Issue #1355256 by barraponto develCuy and KarenS, set default value for date text widget increment to 1, and update existing fields.
- Issue #1561306 by Cyberwolf, Date pager replacement was not working correctly when used with multiple dates.
- Issue #1541740 by hass, Make Date requirements more easily translatable.
- Issue #1543524 by iamEAP, Add update hook to remove the D6 date_timezone field from users.
- Issue #1603640 by bevan, Don't return anything for empty date interval.
- Issue #1235508, Make sure that ISO strings with '00' in the month and/or day don't create dates for the previous month and day.
- Issue #1289270 by pdrake: Fixed date arguments and filters do not work with relationships.
- Issue #895760 by Reinette: Added RFC2447 option 'STATUS' to date_api_ical().inc.
- Issue #606658 by johnmunro and KarenS, Make sure ical import processes multi-day all-day events correctly.
- Issue #1408216 follow up, Need to be sure that NULL is the default state for the sql functions.
- Issue #1540410, Update the Date Tools calendar creation wizard to use the new calendar path.

======================
Version 7.x-2.5
======================

- Fix nasty errors on views that have no row indexes, like the frontage view.

======================
Version 7.x-2.4
======================

- Issue #1534342 by bass, Make name of clean pager option easier to translate.
- Add a hook to alter the default date for a Date argument.
- Issue #1531904, Make sure that multiple value dates that have the delta set only display the selected value.
- Revert Issue #1266688 by fago, This change broke Entity token support.

======================
Version 7.x-2.3
======================

- Issue #1444804, Remove html placeholder on text widget.
- Issue #1286230, Clean up date pager documentation, it contains deprecated information.
- Issue #1469020, Make sure page not found is working right for dates outside the specified range.
- Issue #1111626, Fix some problems caused by passing in a date string with an offset.
- Issue #1477860, Avoid undefined index errors in date_views_select_validate().
- Issue #1469038, Add some clarity to the BYDAY description options and make sure a valid value is selected.
- Issue #1405364 by snufkin, Add display options to format_interval to match Views interval options.
- Issue #1266688 by linclark, Add microdata support to Date metadata.
- Issue #1509434 by casey, Add timezone info in hook_field_presave() instead of hook_field_insert() and hook_field_update().
- Issue #1509012, Fix fatal error when viewing repeat tab.
- Issue #1037174 by dealancer, More work to allow ajax to work on other widgets.
- Issue #1473592 by zabelc, Make sure migrated date with missing end date still gets imported correctly.
- Issue #1442718 by jastraat and bones, Make sure show end date checkbox does not display when end date is empty.
- Issue #1504556, Fix invalid access permission name in Date API configuration menu.
- Issue #1484458, Vega timepicker code was incorrectly computing the default date because of the wrong format for the value passed to it.
- Issue #1459668, Add back Remove date_field_get_sql_handler() function temporarily since Signup module is still using it. Mark it deprecated.
- Issue #1478296, Display longer abbreviations for day names in date repeat widget so they can be translated.
- Issue #1488662 by martin.heidegger, Make error message more easily translatable.
- Issue #1478848 by onelittleant, Don't set default values on new translation entities.
- Issue #1360672, Fix limit format code to remove leftover non-ascii text as well as leftover ascii text.
- Issue #1464280 by geerlingguy Georgique and dealancer: Fix notice when using exposed between filter.
- Issue #1484640 by onelittleant, Some entities may not have base tables.
- Issue #1472966, Get rid of notice that appears for entities without repeats.
- Move pager css around. Some code in Calendar and Date API belongs in Date Views.
- Fix Date Popup default format which was ending up using 24 hour time no matter what format was used for short format.
- Remove outdated _repeat widget name from Date Tools.
- Date Tools is defaulting to creating a calendar even if Calendar module is not enabled.
- Issue #1472148 by arlinsandbulte: wvega jQuery time-picker doesn't show scrollbar.
- Issue #1392128 by kidrobot, tim.plunkett, willvincent: Fixed Repeats tab shows on nodes with non-repeating dates.
- Issue #1452882 by coredumperror: Fixed Date Migrate Example doesn't deregister it's migration when disabled.
- Issue #1452408 by reglogge: Fixed Trailing dots are removed from date formats even if they are needed for the format.
- Issue #1285260 by Steven Jones: Fixed 'Starting from' display option.
- Issue #1467244 by bluetegu: Fixed Recurring Sunday errors.
- Issue #1442718, Empty default values were getting populated by the code that tried to fix default values on hidden fields.
- Make sure date_handler->placeholders gets initialized even for queries that don't execute so the pager won't throw an exception if the value is missing.

======================
Version 7.x-2.2
======================

NOTES:
The iCal templates were removed and moved to the new Date iCal module (http://drupal.org/project/date_ical).

- Issue #1423364 by emptyvoid, Move Date context plugin into its own file.
- Issue #1447372 by yched, Memory friendlier version of date_repeat_field_bundles().
- Issue #1447140 by tim.plunkett: Remove iCal-related theme functions/files.
- Issue #1284170 by benjifisher, Lots of cleanup of the iCal export and its template to be sure all day items are exported correctly.
- Issue #1346424, The calendar title got left out of the latest ical template changes.
- Add more information to the date_views_base_tables() function about why we can't use the entity type from views_fetch_data().
- Additional handling is needed so that revisions are handled correctly in Views.
- Remove date_field_get_sql_handler() function which isn't being used anywhere.
- Rework the Date Views hooks that queue up the right fields and base tables so they work better across all types of entities.
- Fix the hooks for file tables, it is file_managed, not files.
- Add a helper function to map entity types to Views base tables to make it easier to know what type of entity is being used on a view.
- Add status information to Date help screen, hide the non-working change tab on the Date Tools screen, and remove some code that goes to the calendar module from Date Tools.

======================
Version 7.x-2.1
======================

- Issue #1437242 by zerbash, Remove extraneous leading slashes in module_load_include().
- Issue #1436722 by hefox: Fixed Undefined variable $form_set_error() used as function.
- Issue #1250626 by Gábor Hojtsy, B-Prod, hefox: Added start date and end date labels.
- Issue #1253482, Make sure $argument->is_default gets reset by the Date pager when altering results.
- Adjust Date Tools to work with changes to use Views templates to create calendars.
- Issue #1398584 by dhalbert and , Make sure groupby times is initialized.
- Issue #1394248, Make sure all date parts are selected when using an exposed select filter.
- Issue #1425774 by sgabe, Fix error in exposed filter, array_filter() -- first argument should be an array in date_select_input_date().
- Issue #1432992 by bart.hanssens, Fix typo in php documentation.
- Issue #323852 by tim.plunkett and arlinsandbulte, Dropdowns shouldn't include a blank option when required.
- Issue #323852, Validation was broken for unlimited value select widgets with required dates, they were incorrectly getting their end dates cleared out.
- Issue #1424656 by tim.plunkett, Unify signature and alters of #process callbacks.
- Issue #1408014 by dasjo, We no longer need the $error_element value to display errors properly, second follow-up.
- Issue #1299030 by Vincent B: Ensure that 'To Date' is properly marked when required.

======================
Version 7.x-2.0-rc2
======================

New Features/Major Changes

- Issue #1358790 by tim.plunkett and redndahead, Store date objects in field_load to speed up processing, with a field setting option to control it.

Bugfixes

- Issue #1423598, Found a way to flag items that are new so we know when to add default values.
- Made some fixes to find and test the right entities when checking whether to use default values. More work is needed.
- Issue #1422600, Make sure end date cannot cause validation errors when show end date checkbox is not checked.
- Issue #1417872, Remove code to compute missing date parts from empty values now that the new validation prevents that from working.
- Issue #1417872, Make sure empty year field is validated in the same way other date parts are validated.
- Alter date field test to test with a complete end date instead of using empty elements.
- Fix broken logic in repeat additions.
- Fix test broken by date repeat clean up.
- Issue #1419106 by hanoii: Added more info to hook_date_text_process_alter().
- Issue #1209026, When date validation fails, Date Popup value is getting cleared.
- Issue #1017216 by tim.plunkett, arlinsandbulte: Added custom date format without time shows 'all day'.
- Issue #1408014 by dasjo, We no longer need the $error_element value to display errors properly.
- Issue #554546 by master-of-magic: Fix Timezone list translation
- Issue #1411038 by jhodgdon: Fixed Date formatting is not obeying granularity.
- Issue #1359464, Make sure that default values on hidden elements have the same construct as loaded values to avoid errors.
- Issue #1399744 by tim.plunkett, Rework the way filter groups are used to be sure the Date filter group does not clobber the Views filter group.
- Issue #1411862, Move the date_views_fields() function into date_view.module to be sure it is always available.
- Issue #1380350, Rework SQL query handling to pass in a comparison date for computing offsets to better handle dates affected by DST adjustments.
- Issue #1359464, Temporary fix for broken handling of repeating dates on users with a TODO to figure out where it's coming from.
- Issue #1404494 by byrond, Make sure hidden formatters don't get switched to date_default in update hook.
- Issue #1386012, Order weekdays in Date Repeat form to match the site first day of week settings.
- Issue #1376476 by pbfleetwood, Add commas to default formatting of week and day headers.
- Issue #1408430, Views pagination with exposed, unset, filters, results in invalid default values. Treat them as empty input.
- Issue #1408996, Exposed Date Popup widget with time not correctly initialized.
- Issue #1271726, Text widgets in exposed filters used with pagers produce unexpected results.
- Issue #1096000, Custom date formats not working right.
- Issue #1405364, Format interval settings were getting overridden by missing break.
- Issue #1387890, Make sure disabled fields are shown and retain their original values.
- Issue #1402232 by timplunkett, Switch 'Implementation of' to 'Implements'
- Issue #1402236 by timplunkett, All functions should be prefixed with your module name to avoid name clashes
- Issue #1402238 by timplumkett, Remove references to CCK
- Issue #1011624, Filters and arguments were not always using the right base table to select field options, causing 'column missing' errors.
- Issue #1397822, Fix 'Undefined index: field' error on line 207 of date_views_filter_handler_simple.inc.
- Issue #1396536, Repeating fields weren't getting created with Devel Generate because of the change in widgets. Add new hooks so Date Repeat Field can add the repeats.
- Issue #1397126 follow-up by arlinsandbulte, Fix broken tests.
- Issue #1397158, The default value for the end date was using the wrong timezone setting.
- Issue #1392128 by kidrobot and tim.plunkett, Don't show repeat tab unless the date is repeating.
- Issue #1397126, Add Date API section to administration menu and consolidate Date Popup and Date Tools settings there.
- Follow up to Issue #1302052 by benjifisher, More clean up of ical line endings.
- Issue #1388174 by travist, Remove redundant use of date_default_timezone().
- Issue #1388586 by Moloc, Don't use check_plain() on system messages with links.
- Issue #1302052 by benjifisher, penguin25, and helmo, Fix linespace ending problems in ical files.
- Issue #1357216, The Date Views field list was including the Date Views filter itself, creating errors about missing node.date_filter values.
- Issue #1259870, Reinstate the test for a missing date argument for the pager.
- The new option to hide the add_delta for simple fields needs to be adjusted to work right where there is no field.
- Tweak the all day formula to check for 59:59 even for items that use increments, to help fix problems when the calendar creates all day values.
- Our test for whether this is a Date argument or filter needs to include a check that the field was actually processed by Date Views. Some dates are not.
- Revert the change to 7.8. It breaks the modules page.
- Issue #1379172 by deviantpixel, Note that the Date Repeat form uses a function that was re-named in 7.8.
- Store the locale format in a static cache to avoid re-computing it dozens of times on calendar views.
- Sheesh. Fix syntax error in api.date.php.

======================
Version 7.x-2.0-rc1
======================

Notes:
The Date Browser has been removed. Please use the Date Pager instead. If you have existing views using the Date
Browser the navigation will just disappear from them. If you add a Date Pager to the view you should get it back.
Then delete the Date Browser attachment from the view, since it doesn't do anything any more.

The UNTIL date was not getting included in repeating results and that is now fixed. This is an API change of sorts
for anyone who worked around the issue by setting it ahead.

The All Day checkbox and All Day themes were moved into a separate module, using new hooks added to the date
processing. This module should serve as an example of how other modules can inject functionality into date fields.

A new module has been added for integrating the Date Repeat API into date fields. Some of this code has been
moved into the new module, more of it will be moved later as I figure out how to unwind it from the base
processing. An update hook has been added to enable this module by default for existing sites. If you don't
use Repeating dates you can disable it.

New Features/Major Changes

- Issue #1229378 by ksenzee, Sync the end date with the start date on new dates using select widgets.
- Issue #1236216, Move the repeating date integration out of the Date module and into a separate, Date Repeat Field module.
- Issue #874322, The All Day functionality has been moved into a separate module and hooks were added to make it easier for other modules to inject steps into date processing.
- Issue #1267046, Include the UNTIL date in repeating results..
- Issue #1354606 by temaruk, Rework the repeating date UI to make it more user-friendly.
- Issue #1362654, Remove Advanced Help integration, it needs a total rewrite.
- Issue #1357362, Remove Date Browser, use Date Pager instead.
- Issue #1354606, Make sure COUNT option without UNTIL date can be handled correctly by repeating date computations.

Bugfixes

- Fix to new default date handling, the default date has to set a date in the database timezone, not the display timezone.
- Issue #1245106 by Gábor Hojtsy, Hide the option to add the delta into the view for single value fields.
- Issue #1370876, Make sure new Date All Day code does not try to set the popup values if Date Popup is disabled.
- Issue #874322, Add back the date_field_all_day() function to avoid breaking other modules that are using it.
- Fix Date text placeholder to display a formatted date instead of a format. Follow up to Date repeat UI changes.
- Issue #1248520 by fearlsgroove, Use attribute selector on all day and end day checkboxes.
- Issue #952446 and #1031690, Select dates with only year and month were not working.
- Issue #1292152 by pfrenssen, Remove debug functions.
- Issue #1338976 by Josh Benner, Adjust iCal unwrap to allow for leading spaces, per standard.
- Issue #1352486 by d.novikov, Rework date SQL formatting for Microsoft SQL.
- Issue #1266536, Keep timezone adjustments from altering the values for repeating date EXCEPTIONS and ADDITIONS.
- Issue #1353488, Some repeating date calculations using PHP 5.3.6+ were not computing correctly.
- Issue #1364026, Fix link to documentation, also move help to Date API module.
- Issue #1276270, Fix fatal error when using repeat date on user.
- Issue #1362758, Add empty file for the date_plugin_display_attachment.inc file that was removed, to avoid fatal errors if it is missing on a site that formerly used it.
- Issue #1363460, Make sure widget dates do not end up with the current date when they should be empty.
- Issue #1353488, Attempt to fix problem using date_date_set() in PHP 5.3.6+.
- Date Migrate tests needed some fixes to conform to latest code.
- Issue #1353790, Hide missing index notice if the value in the Date Popup does not match the expected value, it will still get trapped as a validation error.
- Issue #1353790, Make sure Date Popup properly translates the default value if it includes month or day names.
- Issue #1217796, Make sure that All Day formatting works correctly even if the All Day label is empty.
- The repeat description was lost by a recent change to the theme that sent the element through the theme twice.
- Remove date_get_nested_elements() function. Not being used and I don't want other code to start expecting it.
- Issue #1266144, The end date should get set to blank if it is optional and matches the start date, but only if it is not populated by default values.
- Issue #1349510, Make sure default values get populated before processing so they still get set on hidden fields.

======================
Version 7.x-2.0-alpha5
======================

Notes:
The date repeat widgets have been removed to keep users from trying to change repeating dates into non-repeating dates.
There are now just three widgets, Date Select, Date Text, and Date Popup. Whether or not a date is a repeating date
is now controlled by a field setting.

New Features/UX Changes/API Changes

- Issue #1304056 by DamienMcKenna, Add option to date_difference to indicate direction of difference.
- Issue #1238660, Add custom format option for the date format used in summary arguments.
- Issue #1038482 by somanyfish, iCal import failing due to colon instead of semi-colon
- Issue #1252952 by eosrei: Make "all day" checkbox configurable on a per field instance basis.
- Issue #1266144 by arlinsandbulte: Clarify Default End Date Setting
- Issue #1261478 by stevector and KarenS, Reconfigure the back/next buttons into item lists so Views ajax pager works right.
- Issue #1262960, Add a new module to work with the Context module to set a condition based on the value of a date field.
- Issue #1216878, Re-introduce 'repeat' as a field setting rather than a widget type so people can't try to switch back and forth between repeating and non-repeating dates. Eliminate repeat widgets.

Bugfixes

- Issue #1280658 and follow up to Issue #1238660 by KarenS and tockliasteroid, Rework the format control over the summary title and apply it to the title() callback.
- Issue #1276622 by ArtistConk, Make sure Except date contains no default value.
- Issue #1153766 by fago, More work on the entity property setters and getters.
- Issue #1331214, Make sure Date Migrate properly handles empty date values.
- Issue #1285224, Make sure Date Migrate works for importing repeating dates now that widgets have changed.
- Issue #1162290, Make sure date for example formats avoids confusing short and long month names.
- Re-organize handling of custom date formats.
- Issue #1122038, Make sure empty values are not passed to Views to be themed for repeating dates.
- Issue #1101284 by pfournier, Expand regex for Month names to catch more possible variations.
- Issue #1343406 by slashrsm, add back the caching of the views fields list.
- Issue #1302374 by miro_dietiker, Account for an inconsistency in core handling of non-existant date formats.
- Issue #1344014 by James Sharpe, Get rid of 'Repeats every 0 days' description.
- Issue #1302212, Change the way default dates using custom code are created.
- Issue #1292898, Check for all day checkbox in the basic date element validation so empty time for newly added elements still passes validation.
- Issue #1252952 follow up, Move checkbox setting to the same spot where time is set, and don't show option on dates without time.
- Issue #1335818 by joelpitter, Don't create a date for empty values in the date getters and setters.
- Issue #1271726, Keep default_value out of exposed form so it won't show up in pager.
- Issue #1017866, Fix miscellaneous problems where filter/argument incorrectly do timezone adjustment.
- Issue #1103032, Attempt to add setters to date entity metadata so Rules can use them.
- Issue #1153766, Adapt metadata functions to the pattern in the current Entity code, add $info to the getters.
- Issue #1278876 by basicmagic.net, Typo in date.css
- Issue #752550 by Fonant, Week number gets printed twice
- Issue #1052586 by jpsolero, Problem with Date API when using Calendar with argument set to "Week" granularity and "current date" default argument
- Issue #1266144, End date same as start date default not being respected.
- Issue #1239934 by casey, Fix javascript exception in date_year_range.js.
- Issue #1310558, Don't show extra label on exposed date filter.
- Fix bug in Date Popup that still uses the current date when the default date is empty.
- Issue #1335578 by aaronbauman, Make it possible to pass in +/- 1000 years to years back/forward.
- Issue #1292516 by mcarbone, Fix Uninitialized string offset in Date Migrate.
- Issue #1084980 by jwilson3, Set default value for $granularity to be array in date_formatter_format.
- Issue #1227350 by grendzy, Summary view should not be calling date_forbid().
- Issue #1286570, Fix undefined index error caused by using a remember value without checking if it exists.
- Issue #1337440 by phoenix, Fix syntax error in vcalendar tpl file.
- Issue #1103032, Add plain date formatter and set it to be the default token formatter.
- Issue #1177684 by tim.plunket, Fix typo in last commit.
- Issue #1177684, Wrong translation of short month name.
- Issue #1201342 by colinlee and alexprv, Comment out SQLSVR timezone adjustment until it gets fixed properly.
- Issue #1308274 by sneyerst, SQL Server DATEPART function cannot accept composed datetime formats.
- Issue #1308266 by sneyerst, Fix arithmetic overflow in SQLSVR.
- Issue #1333104 by tim.plunkett, Check that $field['settings'] exists in date_is_repeat_field().
- Error message for years back and forward doesn't match new labels, should be Starting year and Ending year.
- Issue #1179715, Switch drupal_array_get_nested_value() to use 'values' instead of 'input', where it makes sense, and simplify some of this code.
- Issue #1179715, Create a helper function for testing hidden/disabled dates and test each date element and validator to skip processing in that case.
- Issue #1179715, When hidden by #access=FALSE, repeating date fields were getting removed and not replaced.
- Issue #1179715, By pass date repeat widget processing and validation when element is hidden from user.
- Issue #1179715, Don't do timezone adjustments in the widget, wait for #process so we can skip it when the date field has been hidden by #access.
- Issue #1338194, Logic for creating end date wasn't taking into account the possibility that a field might have no value2.
- Issue #1179715, Default value callback for the timezone widget was not returning an array.
- Issue #1179716, Remove value_callback for date_repeat and date_combo forms, the default behavior works fine.
- Issue #1178716 by das-peter, Use drupal_array_get_nested_value() in Date Repeat instead of trying to find it manually.
- Issue #1178716 by das-peter and KarenS, Tweak the date repeat widget to identify empty input when used on nodes with translation.
- Issue #1178716 by das-peter and KarenS, Fix date repeat form values that are not arrays when hidden on a node that has translation.
- Issue #1178176 by das-peter, Fix date_combo_value_callback to return NULL to avoid data lost on untranslatable dates used with Entity Translation.
- Date Context module was making incorrect assumptions about the $language of the field.
- Issue #1237974, Schema module wants the datetime column to be lower case.
- Issue #1233084, fix a few places that were wrapping $instance['label'] with t().
- Issue #1188380 by Xen and jherencia, use #title instead of field['label'] in date display because that has the i18n translation.
- Issue #1330768 by das-peter, remove whitespace.
- Tweak date_pager_url to allow a way to create non-absolute urls.
- Make sure deleted displays won't create errors in Views by returning FALSE in date_forbid() if there is no date argument.
- Issue #1257830, Beef up the logic when creating the date repeat tabs to work for more kinds of entities.
- Issue #1260962, Repeating date fields should save the date even if there is no repeat information.
- Issue #1241836 by kzoli, Fix undefined cardinality indexes.
- Issue #1233722, Fix undefined index notice in pager when other filters are used.

======================
Version 7.x-2.0-alpha4
======================

Notes to themers:

Previous versions put dates with both From and To dates into a fieldset and other dates were not.
The new code adds additional floating elements that are hard to contain, so now all dates are
enclosed in fieldsets in the node form. There are also new elements on the form, an optional
checkbox for hiding/showing the To date and an optional checkbox for hiding/showing time.
Previously dates on the node form had 'From date' and 'To date' labels above them, this
has been changed to remove those labels, using the Google calendar date entry screen
as a model. This simplifies the node form and dates take up less space. A light grey border
has been added around each collection of dates (the From date and the To date). The display
of labels above the date parts (year, month, day, date, time, etc) is controlled in the
field settings. Previous versions did not always honor those settings, this one does.

New Features/UX Improvements

- Issue #1249724 by KarenS, Gábor Hojtsy, David_Rothstein, Improve usability of date and time input configuration.
- Issue #1250784 by David_Rothstein, Add user-friendly labels for start and end date values in Views.
- Issue #742146, Add option to remove X-WR-CALNAME if VEVENT is not a feed.
- Add option to change method from PUBLISH to REQUEST in VCALENDAR.
- Issue #334435, Add a theme function for the 'Date' and 'Time' labels in the Popup widget.
- Issue #1239956 by David_Rothstein, Change the default separation between from and to dates to use 'to' instead of a hyphen.
- Issue #1240628 by David_Rothstein, Make the date increment default to 15 instead of 1.
- Issue #1249724 by David_Rothstein: Improve usability of date and time input configuration
- Issue #1177198 by tim.plunkett: Allow CTools to process #dependency for date elements.
- Issue #1245562 by David_Rothstein, Rename the default date display format to something friendlier
- Issue #1239934 by David_Rothstein and Gábor Hojtsy, Reuse the "years back and forward" dropdown widget on the Views filter settings page.
- Issue #1239228 by Gábor Hojtsy, Date Views filter form UI improvements, clarify the way absolute and relative dates work.
- Issue #233047 by ksenzee and David_Rothstein, Add the Vegas jQuery timepicker as a new time selector option.
- Issue #1145976 by tim.plunkett and KarenS, Add 'is date' identifier to all date handlers.
- Issue #1234140 by arlinsundbulte, Change terminology in user-facing text from 'From/To Date' to 'Start/End Date'.
- Issue #1233948 by KarenS, Add 'All Day' checkbox to hide/show the time parts of the date form. If All day is chosen, any time is replaced with 00:00:00 when the form is submitted.
- Issue #1233612 by KarenS, Add 'Collect end date' checkbox for dates with optional end dates to hide/show the end date.
- Issue #821200 by scor and KarenS, Add RDF support to the date field.
- Issue #1211744 by EclipseGC and KarenS, Add a Date pager plugin that is designed to add paging in conjunction with a Date argument.
- Issue #1180612 by mikeryan, Add support for Migrate module.
- Issue #1198320 by ksenzee, David_Rothstein, Noyz: Make UI improvements to field settings page.
- Issue #1215738 by ksenzee, Make granularity settings checkboxes horizontal.
- Issue #1215686 by ksenzee, Change name of date field types to be more intuitive.
- Issue #1216996 by ksenzee, Change the years back/forward setting into two drop down boxes.
- Issue #1222468 by ksenzee, Hide timezone options when using granularity without time.
- Issue #1229388 by ksenzee, Hide formatter from/to choices on fields without multiple values.

Removed deprecated functions

- Removed date_handler_fields(), only applicable to D6 code.
- Removed date_views_real_url() and date_views_page_url(), used by older calendar version.
- Remove unused date_handler_field_multiple.

Tests

- Issue #1251592 by David_Rothstein, Set reasonable default values if date formats have not been configured, and add tests for that.
- Issue #1242764 Add tests for every possible combination of field type, timezone handling, and granularity.
- More work on tests, add a foreach loop to run through all field_type/widget_type combinations.
- Rework tests to use a base class rather than copying the same functions everywhere.
- Issue #1209408 Make sure date_repeat_calc() returns empty array for FREQ=NONE and INTERVAL=0, also add a test for that.
- Issue #1161006 by justinrandall, Add tests to check that dates that should have time but do not are correctly caught in validation.

Bugfixes

- Issue #1256406 by q0rban, use variable_get() in hook_requirments().
- Follow up to Issue #1145976, Make sure 'is date' only gets applied to the date values, not delta, timezone, etc.
- Issue #1238364, Make sure the Date pager doesn't throw errors if the default date is missing.
- Issue #1246416, Add info to the Date Popup README.txt about how to download the WVega timepicker.
- Issue #1253230, Package name of Date Migrate was different than the other Date components.
- Issue #1251592, Add installation message and system requirements warnings about missing system date settings.
- Issue #1250784, Don't save psuedo field settings created by the new UI in the field itself.
- Issue #1239228 by David_Rothstein, Always add Date Views css to View UI edit forms.
- Issue #1254540 by David_Rothstein, Move borders off of the wrappers so they don't appear when the dates inside them are hidden.
- Issue #1253248 by David_Rothstein, Move RDF attributes handling to preprocess function.
- Issue #1087798 by anj, Fix X-WR-CALNAME in VCALENDAR.
- Issue #1254582 Repeat additions need to be adjusted to use the same time as the original date.
- Move vcalendar and vevent templates from Date Views to Date API modules.
- Follow up to Issue #1250344, We don't need extra space when there is a description, only when there is not.
- Issue #1239228 by Gábor Hojtsy, More tweaks to filter css.
- Issue #1244924 by Gábor Hojtsy, Minor text improvements in date filter configuration
- Issue #1245556 by David_Rothstein, Date granularity description incorrectly implies that it affects the date attributes that are displayed
- Issue #1247444 by Gábor Hojtsy, Give a little breathing space to the date year range "other" field
- Issue #1250344 by jessebeach, Fix padding around date fields by adding clearfix class.
- Issue #1249116 by yched, Fix various glitches with D6 migration code.
- Issue #1243022 by fmosca and KarenS, Make sure all_day #states visibility is only set when there is a value for all_day.
- Issue #1236192 by loganfsmyth, Make sure #date_label_position has a default value in the Date Popup module.
- Issue #1246416, Test whether libraries_get_path() returns a valid path before using it.
- Issue #1235994, Don't display 'All Day' when using a format that has no time.
- Issue #1245690 by mikeryan, Migration plugin missing seconds from date formats
- Issue #1229406 by David Rothstein, Gábor Hojtsy, and tim.plunkett Fix broken timepicker in Chrome and Safari.
- Issue #1239412 by keithm, Fix validation error when #access is false.
- Issue #1232522, Don't alter field_ui_field_edit form except on date fields.
- Issue #1243842, Make sure the All Day and Show End Date flags work correctly in unlimited value fields that use ajax.
- Follow up to Issue #1239956, Fix tests broken by change in date separator.
- Issue #1241576, Fix date combo validation for all-day dates so they don't fail validation because the format is unexpected.
- Take the guesswork out of examining Date info for Views, add is_field flag.
- Follow up to Issue #874322, Date popup field needs to accept date without time for the all day flag to work.
- Follow up to Issue #1130814, It looks like the modification is not needed in date_repeat_set_month_day and date_repeat_set_year_day.
- Issue #1160132 by seanbfuller and KarenS, Exposed filter widgets were not displaying the default values.
- Adjust the way widgets are styled in Views exposed filters after the latest style changes for form elements.
- Issue #1234114 by arlinsandbulte, Add more space between checkboxes.
- Issue #1234090, Fix undefined variable 'all_day'.
- Issue #1232570 by dboulet, Remove some unneeded duplication of core clearfix and other css cleanup.
- Issue #1232614 by dboulet, Date css should not be setting font family.
- Timezone and Date Popup weren't obeying the settings for displaying the date part label.
- Issue #1130814 by cdracars, mikeryan, mayobutter, Fix date_modify difference between PHP 5.3.5 and 5.3.6 so both work to compute repeating dates.
- Issue #1017866 by KarenS and Jason89s, Make sure views argument and filter don't do timezone adjustment for dates that don't have time.
- Issue #1204988 by paulsheldrake, Remove IE6 code from datepicker CSS.
- Issue #1231864 by Damien McKenna, Clean up line endings in vevent and vcalendar tpl files.
- Issue #1231382 by dboulet, Clean up date css, code style fixes.
- Date repeat additions and exceptions need to be reworked into full, timezone-adjusted, datetime values when passing them to FAPI as default values.
- Issue #1223034 by c4rl, Make sure repeating date additions and exceptions work correctly when there is more than one repeating date in the same form.
- Issue #1229362, Date Popup module needs date_is_date() function, which should not require Date module. Move that to Date API.
- Issue #1227208 by ksenzee, Minor text changes.
- Issue #1094408, Change method of identifying Field module filters, using the name of the group is not robust enough.
- Issue #1227264 by gapa, Fix wrong class in date-pager.tpl.php.
- Issue #1207540, Summary grouping won't work right unless the formula alias doesn't match an actual field value.
- Issue #1227350 Summary query still needs the formula, add it back.
- Fix 'variables cannot be passed by reference' notice on repeats page.
- Issue #1222736 Fix export errors caused when previous export fix of using export plugins got broken by changes in Views.
- Issue #1077490 Fix notices about missing #date_flexible.
- Move the 'top' date pager to below the header instead of below attachment_before so you can add header text above it.
- The value for variable_get('date_first_day') should default to zero to match core default.
- Issue #1147620 by KarenS with an assist from tim.plunkett, Fix the query so it will locate dates that span days or months by checking the intersection of the date range and the query range. Also add an option to the argument so you can do a simple query for either the from or to date when checking the whole range isn't the right solution.
- Issue #307274 by ksenzee, Fix broken validation for absolute value in years back/forward.
- Issue #1173374 by fietserwin, Remove translation of the jQuery datepicker day and month names, now handled by core.
- Issue #1192020 by tim.plunkett: Fixed date granularity is too fragile in date_field_all_day().
- Issue #1110012 Remove 'parent' items from Views plugins, no longer needed? See if this fixes the issue.
- Issue #1183892, Initialize $identifier in date_views_filter_handler_simple.
- Issue #1103290 by stickywes and ingaro, Change postgres 'FMYYYY-FMMM-FMDDTFMHH:FMMI:FMSS' to 'FMYYYY-FMMM-FMDDTFMHH24:FMMI:FMSS'.
- Issue #1186528 by jox, Make date field combo label translatable.
- Issue #1123186 by KingJoshi, Fix misnamed date_part_hour_prefix in hook_theme().
- Issue #1032942 by fietserwin, Rename date popup functions that are getting picked up by theme('date').
- Issue #1206756 More tweaks to the validation changes. They were blocking zero times and causing some test failures.
- Issue #1197352 Don't display language about from and to dates when there is no todate.
- Issue #1201288 by rafa0961, fix broken references to SQLSERVER.
- More work on cleaning up validation, add in some ideas from fearlsgrove about checking the granularity of the input array against the expected granularity.
- Issue #1161006 Dates that should have time but do not were not correctly caught in validation.
- Get rid of overlapping formatter functionality. There should be a default formatter with the option to choose a date format as a setting, not a formatter for each format. This was a leftover from the D6 functionality.
- Issue #1159404 by mikeryan, Fix incorrect call to parse an rrule in date_repeat_build_dates().
- Issue #1160656 by jjs, Replace missing break in date_api.sql.inc that breaks PostgreSQL.
- Issue #1150454, Fix undefined index notices for repeat_collapsed value.
- Issue #1150462, Put length limit on content type names created by Date Tools so block delta won't overflow the allowed size.
- Issue #1136734, When migrating date format data from D6 to D7, don't try to overwrite existing custom values.
- Issue #1161042 by Ollie222, Date filters using time were inconsistently formatted.
- Issue #1130884, Bad logic in 'between' filter SQL, should always join with AND.
- Issue #1139418 by ankur, Bad logic in week argument SQL, should always join with AND.
- Issue #1118356, Disabling the Timepicker was having no effect.
- Issue #408770 by vkareh, Make sure dates with #access = FALSE get passed through date_combo_element_process().
- Issue #1037174 by das-peter, add ajax support to date popup.
- Issue #1160614 by joelstein, Make sure date repeat rule gets split correctly no matter which line endings were used.
- Issue #1110708 by mr.baileys, Fix problem combining date filter with other exposed filters.
- Switch some references to $node to use $entity instead.
- Issue #1112206, add a dummy field to the date navigation bar query to keep it from trying to create invalid sql.
- Issue #1112206, $this->view->query->clear_fields() is still need for date_browser to keep Views from trying to use missing field values.
- Date browser only works with date_argument, should work with any argument derived from date.

======================
Version 7.x-2.0-alpha3
======================

- Issue #1138700, missed a couple references to the construct() function.

======================
Version 7.x-2.0-alpha2
======================

- Follow up to Issue #1103290, constructor was not set up correctly and did not get triggered, so none of the date handlers had a db_type.
- Issue #1138622, preliminary pass at adding support for SQL Server.
- Issue #1136618 by ksenzee, Fix broken hide/show capability for date filter values.
- Issue #1059078 Add preliminary support for SQLite dates.
- Issue #1103290 by kevintheday, Use db_driver() to determine database engine.
- The 'now' values got broken again somewhere along the line. Now we need to switch the ISO format used by our SQL queries back to the datetime format the widgets use.
- Looks like Views changed ['expose']['operator'] to ['expose']['operator_id'].
- Issue #1115770, Make sure filters values are switched back to ISO format so time comparisons work correctly.
- Issue #1132916 by znerol, Fix a couple more usages of date_default_timezone_name().
- Issue #1131308 Don't try to do timzone conversion when there is no localzone for a field.
- Issue #1093222 Fix broken function to remove calendar views.
- Issue #820670 Add update to move D6 date format data to D7 data.
- Issue 1074344 Fix problem with date select widget that keeps resetting pm back to am.
- Issue #1001186 Make sure that a 2 digit year is flagged as an error.
- Issue #1117420 by threewestwinds, Make timepicker formats more useful.
- Issue #1126408 by thekevinday, Add more sql formats to date api.
- Issue #1129326 by robertom, add missing  value to element in date_combo.
- Issue #998220 by jamsilver and yched, fix handling of validation in date_combo. This also fixes errors when using a date in Profile 2 and Field Collections.
- Issue #1022592 by andypost and tim.plunkett optimize hook_form_alter into hook_form FORMID_alter.
- Issue 1021424 by joostvdl and wiizzard, fix context in translations to use core values.
- Remove extra fields from the Date field. I think the filter and argument now get the right tables joined in without that. We still need the extra fields on calendar, but now we will only add them in the calendar view.
- Fix some notices in vcalendar theme.
- Fix the mini calendar querystring.
- Fix logic for day argument formula.
- Fix logic for week argument formula.
- Issue #1086582 by bojanz, summary options are in a different place now, fix the method of removing the summary option on multiple-date arguments.
- Views renamed 'wildcard' to 'exception'.
- Apparently the handler->argument value is not always populated.
- Fix fallback value for date_group.
- Issue #1103032 by tim.plunkett, Remove token integration code until Token module is fixed.
- Now that there is no group of 'Fields' we need different tests to tell if this is a field filter.
- Views changed the group name of fields from 'Fields' to 'Content'. Blech, broke everything.
- Fix potential error if handler is broken.
- Remove reference to a function that no longer exists in Views.
- Issue #1116962 by jpontani, mordonez: Parse Error - date_views_fields.inc on line 119.
- Fix the logic for year and month only dates.
- Add helper function to test if handler is a date handler.
- Fix broken handling when creating dates from timestamps.
- Set some defaults for dates without month or day.
- Issue ##1094408 by Boobaa: Date field not showing up in views arguments in localized site
- Issue #1018412 by omerida: get_class() called without object.
- There were some problems when creating a year-only date using the select filter caused by trying to create a date with zeros in the month and day. Fix the date building logic to force a valid month and day into them.
- Complex filters were not using the date handler of the individual fields.
- Issue #1100934, Replace deprecated date_array() function.
- #1096246 Date argument also was not applying the group method in the right place in the query, causing that method to be applied to all filters.
- Missed a couple places when re-naming the get_value() function in the filter.
- Fix more notices.
- #1096246 Date filter was not apply the group method in the right place in the query, causing that method to be applied to all filters.
- Fix undefined index notice.
- Remove non-used function.
- Issue #1082654 by arlinsandbulte: Remove master branch files and explain in readme.txt
- Issue #906622 by bfroehle, Start cleanup of Date token code.
- Fix typo in form processing.
- Clean up the admin summary for the date filter.
- Fix another use of get_value() in the filter.
- Fix some strict errors in the views filter.
- #1094408 by Boobaa: Date field not showing up in views arguments in localized site
- #1041428, by tim.plunkett: Fix logic errors in 'All Day' computations.
- #1054458: Move date_increment_round() function into Date API module so it is always available.
- #745074, by rsevero:  Don't test for valid timezone-adjusted date for dates that don't use time.
- #1076992: The timezone element never got completely updated to D7.
- #1013662 by developer-x: Remove check for start and end date - this prevented multiday-all day events from showing 'All Day'

======================
Version 7.x-2.0-alpha1
======================

- #1082658: Saving the options as arrays breaks other things. Add a custom export plugin instead.
- #1082658, Views options need to be declared as arrays or they are not saved in the export in Views 3.
- #1075896 Break out the code into the simple argument and a complex argument that combines date fields.
- #1075890 Break out the code into the simple filter and a complex filter that combines date fields.

======================
Version 7.x-1.0-dev
======================

Abandoned the 7.x-1.x branch.

Start a new 7.x-2.x branch that will contain a complete re-work of the Views handling.

The 7.x-2.x branch will totally re-work and simplify the Views filters. These changes may/will
break some views and will require that you check views that use the date filter or
argument to be sure they are still configured correctly.

There is a new date_filter_handler_simple for an individual date field that simplifies
the Views handling by using most of the core Views field handling but adds in the
possibility to set a default date using options like 'now', along with a choice of a
month/day/year drop-down selector or popup calendar selector.

The date_filter_handler is an extension of the simple handler that allows you to combine
multiple dates into a single filter so that you can control all of them with the same
filter widget, allowing you to either 'OR' or 'AND' them together.

The arguments will be rewritten in the same way, with a simple argument handler for
individual dates and another handler that extends that to control multiple dates with
a single argument.

- Add some error trapping in case the parent dateObject is unable to make a date out of a string to avoid showing the user errors.
- #1027752 by B-Prod and dboulet, Fix missing table join on argument summary view.
- #1047412 by das-peter - Using date filter in February causes "The day is invalid" error.
- #1014162 Now that the datefield processing expands to date & time, the form_value is corrupted.
- Changes to the data migration code to work with latest iteration of Content Migrate.

======================
Version 7.x-1.0-alpha2
======================

- Views made lots of changes to field handling just before the new release, which broke lots of things here.
- Adding some work-arounds to get things working again and waiting until the dust settles on how the new core fields will be handled in Views before doing much more with the Views integration. These changes should get things working with latest Views release.

======================
Version 7.x-1.0-alpha1
======================

- Initial release, probably still buggy.
- Remove Date PHP4, no longer needed because PHP4 is not supported any more.
- Remove Date Timezone, now handled by core.
